
#include	"sysdef.h"

/*								*/
/*	Copyright Notice					*/
/*								*/
/*								*/
/*	C version Copyright (C) 1984 Change Software, Inc.	*/
/*	Copyright (C) 1978 1979 1980 1981 1982 1983 1984 1985	*/
/*		      Change Software, Inc.			*/
/*								*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be  used  and  copied  only in accordance with the	*/
/*	terms of such license and with  the  inclusion  of	*/
/*	the  above copyright notice.  This software or any	*/
/*	other copies thereof may not be provided or other-	*/
/*	wise made available to any other person.  No title	*/
/*	to and ownership of the software is hereby  trans-	*/
/*	ferred.							*/
/*								*/



#include	"sysdef.h"

#include	"scerrd.h"
getwarn(s,number)
char *s ;
int number ;
{
	register char *cp ;

	cp = &"" ;
	switch (number) {

	  case w_nopat:	
		cp = &"?Search failure" ;
		break ;
	  case w_badpt:	
		cp = &"?Inv search string" ;
		break ;
	  case w_cut:		
		cp = &"?Illegal while cutting text" ;
		break ;
	  case w_insm:		
		cp = &"?Illegal in line insert mode" ;
		break ;
	  case w_cutof:	
		cp = &"%Select range reset" ;
		break ;
	  case w_abort:	
		cp = &"%Execution aborted" ;
		break ;
	  case w_work:		
		cp = &"Working - " ;
		break ;
	  case w_conf:		
		cp = &"?Command not configured" ;
		break ;
	  case w_lrn:		
		cp = &"Learn mode on" ;
		break ;
	  case w_cutx:		
		cp = &"?Paste buffer overflowed" ;
		break ;
	  case w_lrnx:		
		cp = &"?Learn buffer overflowed" ;
		break ;
	  case w_lrno:		
		cp = &"Learn mode off" ;
		break ;
	  case w_nocu:		
		cp = &"%Cut mode not active - command ignored" ;
		break ;
	  case w_badr:		
		cp = &"?Invalid match code in replacement string" ;
		break ;
	  case w_badm:		
		cp = &"?Invalid page marker number for save" ;
		break ;
	  case w_len:		
		cp = &"?Line too long" ;
		break ;
	  case w_cur:		
		cp = &"Auto breakline on <newline> disabled" ;
		break ;
	  case w_next:		
		cp = &"Auto breakline on <newline> enabled" ;
		break ;
	  case w_nopaste:
		cp = &"No text in paste buffer" ;
		break ;
	  case w_badmark:
		cp = &"Marker number out of range 0..4" ;
		break ;
	  case w_cuterr:
		cp = &"Fatal i/o error on paste buffer file" ;
		break ;
	  case w_badbuf:
		cp = &"Paste Buffer number out of range 0..2" ;
		break ;
	  case w_winend:
		cp = &"Please switch to primary window (PF1 B) or use PF1 S";
		break ;
	  case w_fnf:
		cp = &"Can not open that file" ;
		break ;
	  case w_badwin:
		cp = &"Invalid/unimplemented edit window number" ;
		break ;
	  default:
		break ;
	} ;
	strcpy(s,cp) ;
}
